# VecAXPY

Computes y = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPY(Vec y,PetscScalar alpha,Vec x)

Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

y -output vector

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY()

Level:intermediate
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/mat/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html